# Uses of Class
org.mariadb.jdbc.internal.util.dao.ReconnectDuringTransactionException

Packages that use ReconnectDuringTransactionException
Package
Description
org.mariadb.jdbc.internal.failover.impl

## Uses of ReconnectDuringTransactionException in org.mariadb.jdbc.internal.failover.impl

Methods in org.mariadb.jdbc.internal.failover.impl that throw ReconnectDuringTransactionException
Modifier and Type
Method
Description
`void`
MastersReplicasListener.`lockAndSwitchMaster(Protocol newMasterProtocol)`
Use the parameter newMasterProtocol as new current master connection.